/**
 * generated by Xtext 2.27.0
 */
package org.eclipse.papyrus.robotics.assertions.languages.stl.stlText;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>assignments</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.assignments#getAssignments <em>Assignments</em>}</li>
 * </ul>
 *
 * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.StlTextPackage#getassignments()
 * @model
 * @generated
 */
public interface assignments extends EObject
{
  /**
   * Returns the value of the '<em><b>Assignments</b></em>' containment reference list.
   * The list contents are of type {@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.assignment}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Assignments</em>' containment reference list.
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.StlTextPackage#getassignments_Assignments()
   * @model containment="true"
   * @generated
   */
  EList<assignment> getAssignments();

} // assignments
